
Foreman - Bug #3493

Users created from LDAP even if auto creation is not checked

10/24/2013 07:50 PM - Chuck Schweizer

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Authentication   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have verified "Automatically create accounts in Foreman" is not checked in my configuration.

Reproduce:

1) setup ldap authentication

2) make sure "Automatically create accounts in Foreman" is not checked

3) login to foreman with a user that is in LDAP but does not have a foreman account

4) Foreman will create a new account for the user and ask them to fill out their email and name.

Debug shows:

(2.3ms)  COMMIT

User 'testid1' auto-created from LDAP-Server1

Associated revisions

Revision ccd9e52c - 11/20/2013 10:29 AM - Stephen Benjamin

fixes #3493 - check if auto user reg is allowed for auth source

History

#1 - 11/17/2013 12:33 AM - Stephen Benjamin

I can confirm this. source.onthefly_register isn't checked anywhere, so ldap users are always automatically registered.

PR for proposed fix:

 https://github.com/theforeman/foreman/pull/1031

#2 - 11/19/2013 10:53 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Target version set to 1.10.0

#3 - 11/20/2013 10:29 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#4 - 11/20/2013 11:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ccd9e52c479e0ee56d115fd47bbc54d0a82f3ea1.
